VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Classes | Public Types | Public Member Functions | List of all members
StringListControlDrawer Class Reference
Version 4.9

A specialized list control drawer to draw strings. More...

Inheritance diagram for StringListControlDrawer:

## Classes
struct | Impl

## Public Types
using | Func = std::function< PlatformStringPtr(int32_t row)>

## Public Member Functions
| StringListControlDrawer ()
| ~StringListControlDrawer () noexceptoverride
void | setStringProvider (Func &&getStringFunc)
void | setStringProvider (const Func &getStringFunc)
void | setFont (CFontRef f)
void | setFontColor (CColor color)
void | setSelectedFontColor (CColor color)
void | setBackColor (CColor color)
void | setSelectedBackColor (CColor color)
void | setHoverColor (CColor color)
void | setLineColor (CColor color)
void | setLineWidth (CCoord width)
void | setTextInset (CCoord inset)
void | setTextAlign (CHoriTxtAlign align)
CFontRef | getFont () const
CColor | getFontColor () const
CColor | getSelectedFontColor () const
CColor | getBackColor () const
CColor | getSelectedBackColor () const
CColor | getHoverColor () const
CColor | getLineColor () const
CCoord | getLineWidth () const
CCoord | getTextInset () const
CHoriTxtAlign | getTextAlign () const
void | drawBackground (CDrawContext *context, CRect size) override
void | drawRow (CDrawContext *context, CRect size, Row row) override
Public Member Functions inherited from IListControlDrawer
virtual | ~IListControlDrawer () noexcept
Public Member Functions inherited from ReferenceCounted< T >
| ReferenceCounted ()=default
virtual | ~ReferenceCounted () noexcept=default
| ReferenceCounted (const ReferenceCounted &)
ReferenceCounted & | operator= (const ReferenceCounted &)
void | forget () override
| decrease refcount and delete object if refcount == 0
void | remember () override
| increase refcount
virtual int32_t | getNbReference () const
| get refcount

## Detailed Description

A specialized list control drawer to draw strings.

You set an instance of this class as the drawer in a CListControl instance and it draws the strings you setup via the provider function.

## Member Typedef Documentation

using Func = std::function<PlatformStringPtr (int32_t row)>

## Constructor & Destructor Documentation

StringListControlDrawer | ( |  | ) |

~StringListControlDrawer | ( |  | ) |
| override default noexcept

## Member Function Documentation

void drawBackground | ( | CDrawContext * | context,
|  | CRect | size
| ) |  |
| override virtual

Implements IListControlDrawer.

void drawRow | ( | CDrawContext * | context,
|  | CRect | size,
|  | Row | row
| ) |  |
| override virtual

Implements IListControlDrawer.

CColor getBackColor | ( |  | ) | const

CFontRef getFont | ( |  | ) | const

CColor getFontColor | ( |  | ) | const

CColor getHoverColor | ( |  | ) | const

CColor getLineColor | ( |  | ) | const

CCoord getLineWidth | ( |  | ) | const

CColor getSelectedBackColor | ( |  | ) | const

CColor getSelectedFontColor | ( |  | ) | const

CHoriTxtAlign getTextAlign | ( |  | ) | const

CCoord getTextInset | ( |  | ) | const

void setBackColor | ( | CColor | color | ) |

void setFont | ( | CFontRef | f | ) |

void setFontColor | ( | CColor | color | ) |

void setHoverColor | ( | CColor | color | ) |

void setLineColor | ( | CColor | color | ) |

void setLineWidth | ( | CCoord | width | ) |

void setSelectedBackColor | ( | CColor | color | ) |

void setSelectedFontColor | ( | CColor | color | ) |

void setStringProvider | ( | Func && | getStringFunc | ) |

void setStringProvider | ( | const Func & | getStringFunc | ) |

void setTextAlign | ( | CHoriTxtAlign | align | ) |

void setTextInset | ( | CCoord | inset | ) |

The documentation for this class was generated from the following files:

- cstringlist.h
- cstringlist.cpp